Qt 5.7 | Qt 3D | C++ Classes | QCullFace

Qt 5.7.1 Reference Documentation

# QCullFace Class

(Qt3DRender::QCullFace)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | CullingMode { NoCulling, Front, Back, FrontAndBack }

## Properties

- mode : CullingMode

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCullFace(Qt3DCore::QNode *parent = nullptr)
| ~QCullFace()
CullingMode | mode() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMode(CullingMode mode)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | modeChanged(CullingMode mode)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QCullFace::CullingMode

## Property Documentation

### mode : CullingMode

Access functions:

CullingMode | mode() const
void | setMode(CullingMode mode)

Notifier signal:

void | modeChanged(CullingMode mode)

## Member Function Documentation

### QCullFace::QCullFace(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QCullFace.

### QCullFace::~QCullFace()

Destroys the instance of QCullFace.